Subject: Re: [Bitcoin-development] Merged mining a side chain with proof of burn on parent chain

From: Peter Todd <[email-masked]>
Date: Thu, 5 Feb 2015 17:34:31 -0800

On Wed, Feb 04, 2015 at 02:54:43PM +0100, Isidor Zeuner wrote:
> Hi there,
> 
> comments in-line:
> 
> >> I later wrote up the idea in the context of adding Zerocoin to
> >> Bitcoin:
> >>
> >> http://www.mail-archive.com/[email-masked]/msg02472.html
> >>
> 
> For the sake of maximum clarity with respect to modelling the value of
> a Bitcoin, I don't think that approaches which change the number
> of coins that can possibly be circulated should be encouraged.
> 
> So, I like the idea of having the "sacrificed" coins appearing in the
> mining fees in a future block. But what is meant with OP_DEPTH in this
> context? From what I read, this operation just manipulates the stack
> size when evaluating the script, so I don't see how it would
> affect miner incentives.

Oh, where I was saying OP_DEPTH, I was referring to a *hypothetical*
opcode; I'd forgotten when I wrote that post that OP_DEPTH is an real
opcode.

These days I'd suggest you use the (upcoming on BTC/live on Viacoin)
OP_CHECKLOCKTIMEVERIFY opcode instead. Pretty simple really:

    <current blockheight + 1 year worth of blocks> CHECKLOCKTIMEVERIFY

-- 
'peter'[:-1]@petertodd.org
0000000000000000165ecbd638ec09226f84c34d3d775d34ca5df4abfa8cb57c